<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Belegung;

class WssFieldBelegungAustritt extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  protected function getValue($datamodulWert, $isFormular = false)
  {
    if (isset($datamodulWert->stornoShowAustrittFeld) && $datamodulWert->stornoShowAustrittFeld
            || \APIGebuehren::hasKursFortlaufendeGebuehren($datamodulWert->kurs->id)) {
      return '<input id="austritt_' . \CleanOperations::cleanInt($datamodulWert->id) . '" class="austritt val_date form-control" maxlength="10">';
    }

    return '';
  }

  protected function encodeValue($value)
  {
    return $this->dontEncode($value);
  }
}